Index: tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/editors/ProgressionEditor.java
===================================================================
--- tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/editors/ProgressionEditor.java	(revision 716)
+++ tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/editors/ProgressionEditor.java	(revision 717)
@@ -235,7 +235,8 @@
 			// Structural units and properties combo viewers
 			StructuralUnitsCombosGroup structuration = new StructuralUnitsCombosGroup(paramPanel, this, this.getResult().getStructuralUnit(), this.getResult().getStructuralUnitProperty());
 			GridData gdata = new GridData(GridData.BEGINNING, GridData.BEGINNING, true, false, 3, 1);
-			structuration.setLayoutData(gdata);
+			structuration.setLayoutData(gdata); // the group must use the full line
+			
 			// Structural Unit
 			structuralUnitsComboViewer = structuration.getStructuralUnitsComboViewer();
 			
Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/importer/cwb/CwbMakeAll.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/importer/cwb/CwbMakeAll.java	(revision 716)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/importer/cwb/CwbMakeAll.java	(revision 717)
@@ -87,6 +87,21 @@
 	 * @throws InterruptedException 
 	 */
 	public boolean run(String corpusName,
+			String pathToRegistry) throws ServerNotFoundException, InterruptedException, IOException {
+		return run(corpusName, pathToRegistry, false);
+	}
+	
+	/**
+	 * * Instantiates a new Cwb Make All using executable file set in preferences
+	 *
+	 * @param corpusName the corpus name
+	 * @param pathToRegistry the path to the registry
+	 * @return true, if successful
+	 * @throws ServerNotFoundException the server not found exception
+	 * @throws IOException 
+	 * @throws InterruptedException 
+	 */
+	public boolean run(String corpusName,
 			String pathToRegistry, boolean monitorOutput) throws ServerNotFoundException, InterruptedException, IOException {
 		
 		File pathToExecutable = new File(TXMPreferences.getString(CQPLibPreferences.CQI_SERVER_PATH_TO_CQPLIB, CQPLibPreferences.PREFERENCES_NODE), 
Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/importer/cwb/CwbEncode.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/importer/cwb/CwbEncode.java	(revision 716)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/importer/cwb/CwbEncode.java	(revision 717)
@@ -86,6 +86,26 @@
 	 */
 	public boolean run(String pathToData,
 			String inputFile, String pathToRegistry, String[] pAttributes,
+			String[] sAttributes) throws ServerNotFoundException, InterruptedException, IOException {
+		return run(pathToData, inputFile,
+				pathToRegistry, pAttributes, sAttributes, false);
+	}
+	
+	/**
+	 * Instantiates a new CQi server using executable path set in CQPLibPreferences.
+	 *
+	 * @param pathToData the path to data
+	 * @param inputFiles the input files
+	 * @param pathToRegistry the path to the registry
+	 * @param pAttributes the positional attribute
+	 * @param sAttributes the structural attribute
+	 * @return true if successful
+	 * @throws ServerNotFoundException the server not found exception
+	 * @throws IOException 
+	 * @throws InterruptedException 
+	 */
+	public boolean run(String pathToData,
+			String inputFile, String pathToRegistry, String[] pAttributes,
 			String[] sAttributes, boolean monitorOutput) throws ServerNotFoundException, InterruptedException, IOException {
 		
 		File pathToExecutable = new File(TXMPreferences.getString(CQPLibPreferences.CQI_SERVER_PATH_TO_CQPLIB, CQPLibPreferences.PREFERENCES_NODE),
Index: tmp/org.txm.tigersearch.rcp/src/org/txm/tigersearch/rcp/tester/TIGERSearchTester.java
===================================================================
--- tmp/org.txm.tigersearch.rcp/src/org/txm/tigersearch/rcp/tester/TIGERSearchTester.java	(revision 0)
+++ tmp/org.txm.tigersearch.rcp/src/org/txm/tigersearch/rcp/tester/TIGERSearchTester.java	(revision 717)
@@ -0,0 +1,41 @@
+package org.txm.tigersearch.rcp.tester;
+
+import java.io.File;
+import java.util.List;
+
+import org.eclipse.core.expressions.PropertyTester;
+import org.txm.searchengine.cqp.corpus.MainCorpus;
+
+/**
+ * PropertyTester to check if a corpus has TIGERSearch indexes
+ * 
+ * @author mdecorde
+ *
+ */
+public class TIGERSearchTester extends PropertyTester {
+
+	public static final String PROPERTY_NAMESPACE = "org.txm.rcp.testers"; //$NON-NLS-1$
+
+	public static final String TIGERSEARCH_READY = "TIGERSearchReady"; //$NON-NLS-1$
+
+	public TIGERSearchTester() {
+		// TODO Auto-generated constructor stub
+	}
+
+	@Override
+	public boolean test(Object receiver, String property, Object[] args,
+			Object expectedValue) {
+		if (receiver instanceof List) {
+			receiver = ((List)receiver).get(0);
+			if (TIGERSEARCH_READY.equals(property)) {
+				if (!(receiver instanceof MainCorpus)) {
+					return false;
+				}
+				MainCorpus corpus = (MainCorpus) receiver;
+
+				return new File(corpus.getBaseDirectory(), "tiger").exists();
+			}
+		}
+		return false;
+	}
+}

Property changes on: tmp/org.txm.tigersearch.rcp/src/org/txm/tigersearch/rcp/tester/TIGERSearchTester.java
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tmp/org.txm.tigersearch.rcp/src/org/txm/importer/tigersearch/TigerXMLSubcorpus.xsd
===================================================================
--- tmp/org.txm.tigersearch.rcp/src/org/txm/importer/tigersearch/TigerXMLSubcorpus.xsd	(revision 0)
+++ tmp/org.txm.tigersearch.rcp/src/org/txm/importer/tigersearch/TigerXMLSubcorpus.xsd	(revision 717)
@@ -0,0 +1,270 @@
+<?xml version="1.0" encoding="UTF-8"?>
+  <xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema">
+
+ <!-- ===========================================================================
+      XML Schema for the subcorpus part of the TIGER-XML format
+      http://www.ims.uni-stuttgart.de/projekte/TIGER/public/TigerXMLSubcorpus.xsd
+      ===========================================================================
+      TIGER Project, Wolfgang Lezius
+      IMS, University of Stuttgart, 04/01/2003
+      =========================================================================== -->
+
+  <!-- ======================================================
+       DECLARATION OF SUBCORPORA AND SENTENCES
+       ====================================================== -->
+
+
+  <!-- declaration of the subcorpus element -->
+
+  <xs:element name="subcorpus" type="subcorpusType"/>
+
+
+  <!-- declaration of the subcorpus type -->
+
+  <xs:complexType name="subcorpusType">
+
+    <!-- A subcorpus may comprise another subcorpora or sentences -->
+
+    <xs:choice minOccurs="0" maxOccurs="unbounded">
+      <xs:element name="subcorpus" type="subcorpusType" minOccurs="1" maxOccurs="1"/>
+      <xs:element name="s" type="sentenceType" minOccurs="1" maxOccurs="1"/>
+    <xs:/choice>
+
+    <!-- required: subcorpus name -->
+ 
+    <xs:attribute name="name" type="xsd:string" use="required"/>
+
+    <!-- optional: reference to external subcorpus file 
+
+         A subcorpus of a TigerXML corpus can also be stored in separate file. 
+         This attribute points to the external subcorpus file. The pointer is
+         an URI. Examples: file:relative.xml or file:/path/to/absolute.xml 
+
+         Note: If there is a pointer to an external file, the subcorpus
+               element must be empty. -->
+
+    <xs:attribute name="external" type="xsd:anyURI"/>  
+
+  <xs:/complexType>
+
+
+  <!-- declaration of the sentence type -->
+
+  <xs:complexType name="sentenceType">
+
+    <xs:sequence>
+      <xs:element name="graph" type="graphType" minOccurs="0" maxOccurs="1"/>
+      <xs:element name="matches" type="matchesType" minOccurs="0" maxOccurs="1"/>
+    <xs:/sequence>
+
+    <xs:attribute name="id" type="idType" use="required"/>
+
+  <xs:/complexType>
+
+
+  <!-- declaration of the graph type -->
+
+  <xs:complexType name="graphType">
+
+    <xs:sequence>
+      <xs:element name="terminals" type="terminalsType" minOccurs="1" maxOccurs="1"/>
+      <xs:element name="nonterminals" type="nonterminalsType" minOccurs="1" maxOccurs="1"/>
+    <xs:/sequence>
+
+    <xs:attribute name="root" type="idrefType" use="required"/>
+
+    <!-- indicated that the exported sentence is discontinuous -->
+    <xs:attribute name="discontinuous" type="xsd:boolean" default="false" use="optional"/>
+
+  <xs:/complexType>
+
+
+  <!-- declaration of the terminals type -->
+
+  <xs:complexType name="terminalsType">
+
+    <xs:sequence>
+      <xs:element name="t" type="tType" minOccurs="1" maxOccurs="unbounded"/>
+    <xs:/sequence>
+
+  <xs:/complexType>
+
+
+  <!-- declaration of the t element -->
+
+  <xs:complexType name="tType">
+
+    <!-- secondary edges possible -->
+    <xs:sequence>
+      <xs:element name="secedge" type="secedgeType" minOccurs="0" maxOccurs="unbounded"/>
+    <xs:/sequence>
+
+    <xs:attribute name="id" type="idType" use="required"/>    
+    <xs:attributeGroup ref="tfeatureAttributes"/>
+
+  <xs:/complexType>
+
+
+  <!-- declaration of the nonterminals type -->
+
+  <xs:complexType name="nonterminalsType">
+
+    <xs:sequence>
+      <xs:element name="nt" type="ntType" minOccurs="0" maxOccurs="unbounded"/>
+    <xs:/sequence>
+
+  <xs:/complexType>
+
+
+  <!-- declaration of the nt element -->
+
+  <xs:complexType name="ntType">
+
+    <!-- edge and secondary edges possible -->
+    <xs:sequence>
+      <xs:element name="edge" type="edgeType" minOccurs="0" maxOccurs="unbounded"/>
+      <xs:element name="secedge" type="secedgeType" minOccurs="0" maxOccurs="unbounded"/>
+    <xs:/sequence>
+
+    <xs:attribute name="id" type="idType" use="required"/>    
+    <xs:attributeGroup ref="ntfeatureAttributes"/>
+
+  <xs:/complexType>
+
+
+  <!-- declaration of the edge type -->
+
+  <xs:complexType name="edgeType">
+
+    <xs:attribute name="idref" type="idrefType" use="required"/>    
+
+    <xs:attributeGroup ref="edgelabelAttribute"/>
+
+  <xs:/complexType>
+
+
+  <!-- declaration of the secondary edge type -->
+
+  <xs:complexType name="secedgeType">
+
+    <xs:attribute name="idref" type="idrefType" use="required"/>    
+
+    <xs:attributeGroup ref="secedgelabelAttribute"/>
+
+  <xs:/complexType>
+
+
+  <!-- declaration of the matches type -->
+
+  <xs:complexType name="matchesType">
+
+    <xs:sequence>
+      <xs:element name="match" type="matchType" minOccurs="1" maxOccurs="unbounded"/>
+    <xs:/sequence>
+
+  <xs:/complexType>
+
+
+  <!-- declaration of the match type -->
+
+  <xs:complexType name="matchType">
+
+    <xs:sequence>
+      <xs:element name="variable" type="varType" minOccurs="1" maxOccurs="unbounded"/>
+    <xs:/sequence>
+
+    <xs:attribute name="subgraph" type="idrefType" use="required"/>    
+
+  <xs:/complexType>
+
+
+  <!-- declaration of the variable type -->
+
+  <xs:complexType name="varType">
+
+    <xs:attribute name="name" type="xsd:string" use="required"/>    
+
+    <xs:attribute name="idref" type="idrefType" use="required"/>    
+
+  <xs:/complexType>
+
+
+  <!-- ======================================================
+       SENTENCE DECLARATIONS THAT SHOULD BE REFINED
+       ====================================================== -->
+
+  <!-- declaration of the TERMINAL FEATURE ATTRIBUTES;
+       this group is unrestricted, but should be refined by a 
+       specialised, corpus-dependent schema -->
+
+  <xs:attributeGroup name="tfeatureAttributes">
+  
+    <xs:anyAttribute processContents="skip"/>
+
+  <xs:/attributeGroup>
+
+
+  <!-- declaration of the NONTERMINAL FEATURE ATTRIBUTES;
+       this group is unrestricted, but should be refined by a 
+       specialised, corpus-dependent schema -->
+
+  <xs:attributeGroup name="ntfeatureAttributes">
+  
+    <xs:anyAttribute processContents="skip"/>
+
+  <xs:/attributeGroup>
+
+
+  <!-- declaration of the EDGE-LABEL ATTRIBUTE;
+       the label attribute is optional which should be refined by a 
+       specialised, corpus-dependent schema -->
+
+  <xs:attributeGroup name="edgelabelAttribute">
+  
+    <xs:attribute name="label" type="xsd:string" use="optional"/>    
+
+  <xs:/attributeGroup>
+    
+
+  <!-- declaration of the SECONDARY-EDGE-LABEL ATTRIBUTE;
+       the label attribute is optional which should be refined by a 
+       specialised, corpus-dependent schema -->
+
+  <xs:attributeGroup name="secedgelabelAttribute">
+  
+    <xs:attribute name="label" type="xsd:string" use="optional"/>    
+
+  <xs:/attributeGroup>
+ 
+
+  <!-- ======================================================
+       ID and IDREF TYPE DECLARATIONS
+       ====================================================== -->
+
+  <!-- Even though XML Schema are a W3C Recommendation, schema
+       support of XML parsers is still restricted. Using some
+       parsers you might have problems with the ID and IDREF
+       attributes in combination with an "anyAttribute"
+       declaration. In this case, just modify the base type 
+       of the following two declarations to "xsd:string".  -->
+
+
+  <!-- declaration of idType -->
+
+  <xs:simpleType name="idType">
+
+    <xs:restriction base="xsd:ID"/>
+
+  <xs:/simpleType>
+
+
+  <!-- declaration of idrefType -->
+
+  <xs:simpleType name="idrefType">
+
+    <xs:restriction base="xsd:IDREF"/>
+
+  <xs:/simpleType>
+
+
+<xs:/schema>
\ No newline at end of file

Property changes on: tmp/org.txm.tigersearch.rcp/src/org/txm/importer/tigersearch/TigerXMLSubcorpus.xsd
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tmp/org.txm.tigersearch.rcp/src/org/txm/importer/tigersearch/TigerXMLHeader.xsd
===================================================================
--- tmp/org.txm.tigersearch.rcp/src/org/txm/importer/tigersearch/TigerXMLHeader.xsd	(revision 0)
+++ tmp/org.txm.tigersearch.rcp/src/org/txm/importer/tigersearch/TigerXMLHeader.xsd	(revision 717)
@@ -0,0 +1,142 @@
+<?xml version="1.0" encoding="UTF-8"?>
+  <xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema">
+
+ <!-- =======================================================================
+      XML SubSchema for the header part of the TIGER-XML format
+      http://www.ims.uni-stuttgart.de/projekte/TIGER/publicTigerXMLHeader.xsd
+      =======================================================================
+      TIGER Project, Wolfgang Lezius 
+      IMS, University of Stuttgart, 04/01/2003
+      ======================================================================= -->
+
+
+  <!-- ======================================================
+       DECLARATION OF THE HEADER
+       ====================================================== -->
+
+
+  <!-- declaration of the head element -->
+
+  <xs:element name="head" type="headType"/>
+
+
+  <!-- declaration of the header type -->
+
+  <xs:complexType name="headType">
+
+     <xs:sequence>
+        <xs:element name="meta" type="metaType" minOccurs="0" maxOccurs="1"/>
+        <xs:element name="annotation" type="annotationType" minOccurs="0" maxOccurs="1"/>
+     <xs:/sequence>    
+
+     <!-- optional: reference to external header file 
+
+          The header of a TigerXML corpus can also be stored in separate file. 
+          This attribute points to the external header file. The pointer is
+          an URI. Examples: file:relative.xml or file:/path/to/absolute.xml
+
+          Note: If there is a pointer to an external file, the head
+                element must be empty. -->
+
+     <xs:attribute name="external" type="xsd:anyURI"/>  
+
+  <xs:/complexType>
+
+
+  <!-- declaration of the meta information type -->
+
+  <xs:complexType name="metaType">
+
+    <xs:sequence>
+      <xs:element name="name" type="xsd:string" minOccurs="0" maxOccurs="1"/>
+      <xs:element name="author" type="xsd:string" minOccurs="0" maxOccurs="1"/>
+      <xs:element name="date" type="xsd:string" minOccurs="0" maxOccurs="1"/>
+      <xs:element name="description" type="xsd:string" minOccurs="0" maxOccurs="1"/>
+      <xs:element name="format" type="xsd:string" minOccurs="0" maxOccurs="1"/>
+      <xs:element name="history" type="xsd:string" minOccurs="0" maxOccurs="1"/>
+    <xs:/sequence>    
+
+  <xs:/complexType>
+  
+
+  <!-- declaration of the annotation type -->
+
+  <xs:complexType name="annotationType">
+
+    <xs:sequence>
+      <xs:element name="feature" type="featureType" minOccurs="1" maxOccurs="unbounded"/>
+      <xs:element name="edgelabel" type="edgelabelType" minOccurs="0" maxOccurs="1"/>
+      <xs:element name="secedgelabel" type="edgelabelType" minOccurs="0" maxOccurs="1"/>
+    <xs:/sequence>
+
+  <xs:/complexType>
+
+
+  <!-- declaration of the feature type -->
+
+  <xs:complexType name="featureType">
+
+    <xs:sequence>
+       <xs:element name="value" type="featurevalueType" minOccurs="0" maxOccurs="unbounded"/>
+    <xs:/sequence>
+    
+    <xs:attribute name="name" type="featurenameType" use="required"/>
+
+    <xs:attribute name="domain" use="required">
+       <xs:simpleType>
+         <xs:restriction base="xsd:string">
+           <xs:enumeration value="T"/>     <!-- feature for terminal nodes -->
+           <xs:enumeration value="NT"/>    <!-- feature for nonterminal nodes -->
+           <xs:enumeration value="FREC"/>  <!-- feature for both -->
+         <xs:/restriction>
+       <xs:/simpleType>
+    <xs:/attribute>
+
+  <xs:/complexType>
+
+
+  <!-- declaration of the (secondary) edge label type -->
+
+  <xs:complexType name="edgelabelType">
+
+    <xs:sequence>
+       <xs:element name="value" type="featurevalueType" minOccurs="0" maxOccurs="unbounded"/>
+    <xs:/sequence>
+    
+  <xs:/complexType>
+
+
+  <!-- declaration of the feature value type -->
+
+  <xs:complexType name="featurevalueType">
+
+    <xs:simpleContent>   <!-- element content: documentation of the feature value -->
+      <xs:extension base="xsd:string">
+        <xs:attribute name="name" type="xsd:string"/>
+      <xs:/extension>
+    <xs:/simpleContent>
+
+
+  <xs:/complexType>
+
+
+  <!-- ======================================================
+       HEADER DECLARATIONS THAT SHOULD BE REFINED
+       ====================================================== -->
+
+  <!-- declaration of the FEATURE NAMES used in the corpus header;
+       this type is unrestricted, but should be refined by a 
+       specialised, corpus-dependent schema -->
+
+  <xs:simpleType name="featurenameType">
+
+    <xs:restriction base="xsd:string">
+      <xs:minLength value="1"/>
+      <xs:maxLength value="20"/>
+      <xs:whiteSpace value="preserve"/>
+    <xs:/restriction>
+
+  <xs:/simpleType>
+
+
+<xs:/schema>
\ No newline at end of file

Property changes on: tmp/org.txm.tigersearch.rcp/src/org/txm/importer/tigersearch/TigerXMLHeader.xsd
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tmp/org.txm.tigersearch.rcp/src/org/txm/importer/tigersearch/TSImport.groovy
===================================================================
--- tmp/org.txm.tigersearch.rcp/src/org/txm/importer/tigersearch/TSImport.groovy	(revision 716)
+++ tmp/org.txm.tigersearch.rcp/src/org/txm/importer/tigersearch/TSImport.groovy	(revision 717)
@@ -30,15 +30,44 @@
 		pager = new XTZPager(this)
 	}
 	
+	/**
+	 * Do a XTZ Import then build the TIGERSearch indexes in the binary corpus "tiger" directory
+	 */
 	@Override
 	public void start() throws InterruptedException {		
 		File tigerSrcDir = sourceDirectory
+		
+		def xmlFiles = []
+		sourceDirectory.listFiles(new FileFilter() {
+			boolean accept(File file) {
+				if (file.isDirectory()) return false;
+				if (file.isHidden()) return false;
+				if (file.getName().equals("import.xml")) return false;
+				if (!file.getName().endsWith(".xml")) return false;
+				
+				xmlFiles << file
+			}
+		});
+		
+		xmlFiles.remove(new File(sourceDirectory, "import.xml"))
+		
+		if (xmlFiles.size() == 0) {
+			println "Error no XML file found in $sourceDirectory"
+			isSuccessful = false;
+			return;
+		}
+		
+		File master = xmlFiles[0];
+		println "Main TIGER XML file found: $master"
+		
 		File tsXSLFile = new File(Toolbox.getTXMHOMEPATH(), "xsl/ts.xsl");
 		BundleUtils.copyFiles("TIGERSearchRCP", "src", "org/txm/importer/tigersearch", "ts.xsl", tsXSLFile.getParentFile());
 		
 		File xmltxmSrcDir = new File(binaryDirectory, "src"); // output directory of the TS XSL transformation
-		
-		if (!ApplyXsl2.processImportSources(tsXSLFile, sourceDirectory, xmltxmSrcDir)) {
+		xmltxmSrcDir.mkdirs();
+		FileCopy.copy(master, new File(xmltxmSrcDir, master.getName()));
+			
+		if (!ApplyXsl2.processImportSources(tsXSLFile, xmltxmSrcDir, xmltxmSrcDir)) {
 			println "Error while applying TS XSL file to $tigerSrcDir"
 			isSuccessful = false;
 			return;
@@ -55,38 +84,39 @@
 		File txmDir = new File(binaryDirectory, "txm/"+corpusName); 
 		txmDir.mkdirs();
 		FileCopy.copyFiles(sourceDirectory, txmDir) // the compiler step will use these files
-		super.start();
 		
+		super.start(); // call the usual XTZ import 
+		
 		if (isSuccessful) {
 			
 			File tigerDir = new File(binaryDirectory, "tiger");
 			tigerDir.mkdir();
-			File master = new File(tigerSrcDir, "master.xml");
 			
-			File logprop = new File(tigerDir, "tigersearch.logprop");
-			
-			logprop.withWriter("UTF-8") { writer ->
-				writer.write("""# Default log configuration of the TIGERSearch suite
+				
+				File logprop = new File(tigerDir, "tigersearch.logprop");
+				
+				logprop.withWriter("UTF-8") { writer ->
+					writer.write("""# Default log configuration of the TIGERSearch suite
 log4j.rootLogger=WARN,Logfile
-log4j.logger.ims.tiger.gui.tigersearch.TIGERSearch=INFO
+log4j.logger.ims.tiger.gui.tigersearch.TIGERSearch=WARNING
 log4j.appender.Logfile=org.apache.log4j.RollingFileAppender
 log4j.appender.Logfile.File=\${user.home}/tigersearch/tigersearch.log
 log4j.appender.Logfile.MaxFileSize=500KB
 log4j.appender.Logfile.MaxBackupIndex=1
 log4j.appender.Logfile.layout=org.apache.log4j.PatternLayout
 log4j.appender.Logfile.layout.ConversionPattern=%5r %-5p [%t] %c{2} - %m%n""")	
+				}
+				
+				BasicConfigurator.configure();
+				String uri = master.getAbsolutePath();
+				File tigerBinDir = new File(tigerDir, corpusName)
+				tigerBinDir.mkdir()
+				try {
+					IndexBuilderErrorHandler handler = new SimpleErrorHandler(tigerBinDir.getAbsolutePath());
+					XMLIndexing indexing = new XMLIndexing(corpusName, uri, tigerBinDir.getAbsolutePath(), handler,false);
+					indexing.startIndexing();
+				}
+				catch (Exception e) { System.out.println(e.getMessage()); }
 			}
-			
-			BasicConfigurator.configure();
-			String uri = master.getAbsolutePath();
-			File tigerBinDir = new File(tigerDir, corpusName)
-			tigerBinDir.mkdir()
-			try {
-				IndexBuilderErrorHandler handler = new SimpleErrorHandler(tigerBinDir.getAbsolutePath());
-				XMLIndexing indexing = new XMLIndexing(corpusName, uri, tigerBinDir.getAbsolutePath(), handler,false);
-				indexing.startIndexing();
-			}
-			catch (Exception e) { System.out.println(e.getMessage()); }
-		}
 	}
 }
\ No newline at end of file
Index: tmp/org.txm.tigersearch.rcp/src/org/txm/importer/tigersearch/TigerXML.xsd
===================================================================
--- tmp/org.txm.tigersearch.rcp/src/org/txm/importer/tigersearch/TigerXML.xsd	(revision 0)
+++ tmp/org.txm.tigersearch.rcp/src/org/txm/importer/tigersearch/TigerXML.xsd	(revision 717)
@@ -0,0 +1,70 @@
+<?xml version="1.0" encoding="UTF-8"?>
+  <xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema">
+
+ <!-- ==================================================================
+      XML Schema for the TIGER-XML format
+      http://www.ims.uni-stuttgart.de/projekte/TIGER/public/TigerXML.xsd
+      ==================================================================
+      TIGER Project, Wolfgang Lezius
+      IMS, University of Stuttgart, 04/01/2003
+      ================================================================== -->
+
+
+  <!-- ======================================================
+       INCLUDES DECLARATION OF THE HEADER
+       ====================================================== -->
+  <xs:include schemaLocation="TigerXMLHeader.xsd"/>
+
+
+  <!-- ======================================================
+       INCLUDES DECLARATION OF SUBCORPORA AND SENTENCES
+       ====================================================== -->
+  <xs:include schemaLocation="TigerXMLSubcorpus.xsd"/>
+
+
+  <!-- ======================================================
+       DECLARATION OF THE CORPUS DOCUMENT
+       ====================================================== -->
+
+  <!-- declaration of the root element: corpus -->
+
+  <xs:element name="corpus">
+  
+    
+  
+        <xs:complexType>
+
+      <xs:sequence>
+
+        <xs:choice>           
+           <!-- header of the document is optional -->
+           <xs:element name="head" type="headType" minOccurs="0" maxOccurs="1" />
+        <xs:/choice>
+
+        <xs:element name="body" type="bodyType" minOccurs="1" maxOccurs="1" />
+
+      <xs:/sequence>
+
+      <!-- corpus ID -->
+      <xs:attribute name="id" type="idType" use="required" />
+
+      <!-- optional attribute: TigerXML version; used by TIGERSearch only -->
+      <xs:attribute name="version" type="xsd:string" use="optional" />
+
+    <xs:/complexType>
+    <xs:/element>
+
+
+  <!-- declaration of the body type -->
+
+  <xs:complexType name="bodyType">
+
+    <xs:choice minOccurs="1" maxOccurs="unbounded">
+      <xs:element name="subcorpus" type="subcorpusType" minOccurs="1" maxOccurs="1"/>
+      <xs:element name="s" type="sentenceType" minOccurs="1" maxOccurs="1"/>
+    <xs:/choice>
+
+  <xs:/complexType>
+
+
+<xs:/schema>
\ No newline at end of file

Property changes on: tmp/org.txm.tigersearch.rcp/src/org/txm/importer/tigersearch/TigerXML.xsd
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tmp/org.txm.tigersearch.rcp/src/org/txm/function/tigersearch/TIGERSearch.java
===================================================================
--- tmp/org.txm.tigersearch.rcp/src/org/txm/function/tigersearch/TIGERSearch.java	(revision 716)
+++ tmp/org.txm.tigersearch.rcp/src/org/txm/function/tigersearch/TIGERSearch.java	(revision 717)
@@ -196,7 +196,10 @@
 	}
 	
 	public String toString() {
-		return query.substring(0, Math.min(20,  query.length())).replaceAll("\n", " ")+" T: "+T+" NT: "+NT;
+		if (query != null)
+			return query.substring(0, Math.min(20,  query.length())).replaceAll("\n", " ")+" T: "+T+" NT: "+NT;
+		
+		return ""+corpus;
 	}
 
 	public boolean openEditor() {
Index: tmp/org.txm.tigersearch.rcp/plugin.xml
===================================================================
--- tmp/org.txm.tigersearch.rcp/plugin.xml	(revision 716)
+++ tmp/org.txm.tigersearch.rcp/plugin.xml	(revision 717)
@@ -11,7 +11,6 @@
       </category>
       <command
             categoryId="TIGERSearch4TXM.commands.category"
-            defaultHandler="org.txm.tigersearch.commands.ComputeTIGERSearch"
             id="org.txm.tigersearch.commands.ComputeTIGERSearch"
             name="OpenTIGERSearch">
       </command>
@@ -29,6 +28,16 @@
       </command>
    </extension>
    <extension
+         point="org.eclipse.core.expressions.propertyTesters">
+      <propertyTester
+            class="org.txm.tigersearch.rcp.tester.TIGERSearchTester"
+            id="org.txm.rcp.testers.TIGERSearchTester"
+            namespace="org.txm.rcp.testers"
+            properties="TIGERSearchReady"
+            type="java.lang.Object">
+      </propertyTester>
+   </extension>
+   <extension
          point="org.eclipse.ui.menus">
       <menuContribution
             locationURI="menu:menu.tools?after=menu.tools.separator.misc">
@@ -46,23 +55,6 @@
                </or>
             </visibleWhen>
          </command>
-         <command
-               commandId="org.txm.tigersearch.commands.ComputeTSIndex"
-               icon="icons/functions/TSIndex.png"
-               label="TS Index"
-               style="push">
-            <visibleWhen
-                  checkEnabled="false">
-               <or>
-                  <reference
-                        definitionId="OneCorpusSelected">
-                  </reference>
-                  <reference
-                        definitionId="OnePartitionSelected">
-                  </reference>
-               </or>
-            </visibleWhen>
-         </command>
       </menuContribution>
       <menuContribution
             locationURI="menu:menu.help.plugins">
@@ -129,23 +121,6 @@
                </or>
             </visibleWhen>
          </command>
-         <command
-               commandId="org.txm.tigersearch.commands.ComputeTSIndex"
-               icon="icons/functions/TSIndex.png"
-               label="TS Index"
-               style="push">
-            <visibleWhen
-                  checkEnabled="false">
-               <or>
-                  <reference
-                        definitionId="OneCorpusSelected">
-                  </reference>
-                  <reference
-                        definitionId="OnePartitionSelected">
-                  </reference>
-               </or>
-            </visibleWhen>
-         </command>
       </menuContribution>
       <menuContribution
             allPopups="false"
@@ -164,26 +139,9 @@
                </or>
             </visibleWhen>
          </command>
-         <command
-               commandId="org.txm.tigersearch.commands.ComputeTSIndex"
-               icon="icons/functions/TSIndex.png"
-               label="TS Index"
-               style="push">
-            <visibleWhen
-                  checkEnabled="false">
-               <or>
-                  <reference
-                        definitionId="OneCorpusSelected">
-                  </reference>
-                  <reference
-                        definitionId="OnePartitionSelected">
-                  </reference>
-               </or>
-            </visibleWhen>
-         </command>
       </menuContribution>
       <menuContribution
-            locationURI="menu:menu.file.import">
+            locationURI="menu:menu.file.import?before=menu.file.import.separator.software">
          <command
                commandId="org.txm.rcp.handlers.scripts.ExecuteImportScript"
                icon="icons/functions/TS.png"
@@ -221,5 +179,19 @@
             name="org.txm.tigersearch.commands.DoInstall">
       </PostInstallationStep>
    </extension>
+   <extension
+         point="org.eclipse.ui.handlers">
+      <handler
+            class="org.txm.tigersearch.commands.ComputeTIGERSearch"
+            commandId="org.txm.tigersearch.commands.ComputeTIGERSearch">
+         <enabledWhen>
+            <test
+                  forcePluginActivation="true"
+                  property="org.txm.rcp.testers.TIGERSearchReady"
+                  value="TIGERSearchReady">
+            </test>
+         </enabledWhen>
+      </handler>
+   </extension>
 
 </plugin>
